You do not have postgresql support built into

Help
Anonymous
2003-03-14
2003-03-19
  • Anonymous - 2003-03-14

    By: ddelorme ( David Delorme )
    You do not have postgresql support built into  
    2003-03-13 23:38 
    I am getting this message when i go to my site.
    You do not have postgresql support built into your PHP Web Server.
    phpPgAdmin requires postgresql support to function properly!
    Please check the PHP documentation for corrective action

    HELP

    this is the output of phpinfo

    './configure' 'i386-redhat-linux' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/usr/com' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--prefix=/usr' '--with-config-file-path=/etc' '--enable-force-cgi-redirect' '--disable-debug' '--enable-pic' '--disable-rpath' '--enable-inline-optimization' '--with-bz2' '--with-db3' '--with-curl' '--with-dom=/usr' '--with-exec-dir=/usr/bin' '--with-freetype-dir=/usr' '--with-png-dir=/usr' '--with-gd' '--enable-gd-native-ttf' '--with-ttf' '--with-gdbm' '--with-gettext' '--with-ncurses' '--with-gmp' '--with-iconv' '--with-jpeg-dir=/usr' '--with-mm' '--with-openssl' '--with-png' '--with-pspell' '--with-regex=system' '--with-xml' '--with-expat-dir=/usr' '--with-zlib' '--with-layout=GNU' '--enable-bcmath' '--enable-debugger' '--enable-exif' '--enable-ftp' '--enable-magic-quotes' '--enable-safe-mode' '--enable-sockets' '--enable-sysvsem' '--enable-sysvshm' '--enable-discard-path' '--enable-track-vars' '--enable-trans-sid' '--enable-yp' '--enable-wddx' '--without-oci8' '--with-imap=shared' '--with-imap-ssl' '--with-kerberos=/usr/kerberos' '--with-ldap=shared' '--with-mysql=shared,/usr' '--with-pgsql=shared' '--with-snmp=shared,/usr' '--with-snmp=shared' '--enable-ucd-snmp-hack' '--with-unixODBC=shared' '--enable-memory-limit' '--enable-bcmath' '--enable-shmop' '--enable-versioning' '--enable-calendar' '--enable-dbx' '--enable-dio' '--enable-mbstring' '--enable-mbstr-enc-trans' '--with-apxs=/usr/sbin/apxs' 

     
    • Robert Treat

      Robert Treat - 2003-03-15

      I seem to recall that some versions of redhat have the postgresql shared libraries commented out in one of the config files. Try looking in your php.ini first, then your apache httpd.conf

       
    • Nobody/Anonymous

      have problem myselft earlier. Seems you're using Postgresql 7.3.2, which only comes with libpq.so.3, not libpq.so.2, which is required by your existing php.

      The easiest solution is to make softlink, on redhat 7.3, libpq.so.3 is in /usr/lib, run command "ln -s libpq.so.3 libpq.so.2", it will get the most functionality of phpPgAdmin to work.

      The best way is to recompile php, so you'll get new client side lib compiled into php, since there are quite some changes. For ex, dumping table schema will not work by using existing php.

       

Log in to post a comment.

Get latest updates about Open Source Projects, Conferences and News.

Sign up for the SourceForge newsletter:





No, thanks